commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From robert burrell donkin <robertburrelldon...@blueyonder.co.uk>
Subject Re: [digester] local ArrayStack implementation not backwardscompatible?
Date Tue, 04 May 2004 21:45:57 GMT
On 4 May 2004, at 22:34, David Graham wrote:
> --- robert burrell donkin <robertburrelldonkin@blueyonder.co.uk> wrote:

<snip>

>> we screwed up :(
>>
>> a reference (in a public API) to the collection packaged version was
>> introduced and not picked up before it had been released.
>
> Can we deprecate the offending API, provide standard Java collection
> alternatives for this release and remove the methods in the release 
> after
> this?

i think that would be the right medium term strategy. (the next release 
would have to be a 2.0)

there is a short term issue with the incompatibility between 
collections 2.0 and 3.0. this is worrying to tomcat and struts (and 
other folks as well ;).

maybe we could sidestep this issue by including the two collections 
classes (ArrayStack and Buffer) that beanutils depends upon (either 
directly or indirectly) within the beanutils release and removing the 
collections dependency. since the versions of these classes in 
collections 2.1 and 3.0 seem to differ only in licensing and 
documentation, this would make beanutils and digester compatible with 
both 2.1 and 3.0 collections.

- robert


---------------------------------------------------------------------
To unsubscribe, e-mail: commons-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: commons-dev-help@jakarta.apache.org


Mime
View raw message